# $Id$

%define _glib2min   2.0.1
%define _libxml2min 2.4.0

%define major  0.6

Summary: GStreamer streaming media framework runtime.
Name: gstreamer
Version: 0.6.2
Release: 0.1.fr
Group: Applications/Multimedia
License: LGPL
URL: http://gstreamer.net/
Source: http://prdownloads.sourceforge.net/gstreamer/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: glib2 >= %{_glib2min}, libxml2 >= %{_libxml2min}, popt > 1.6
Requires(pre): /sbin/ldconfig, gstreamer-tools
BuildRequires: glib2-devel >= %{_glib2min}, libxml2-devel >= %{_libxml2min}
BuildRequires: popt > 1.6, gtk-doc >= 0.7, bison, zlib-devel
# Documentation requirements
BuildRequires: openjade, python2
BuildRequires: docbook-style-dsssl docbook-dtd31-sgml docbook-style-xsl
BuildRequires: docbook-utils, transfig, xfig

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.


%package devel
Summary: Libraries and include files for GStreamer streaming media framework.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel >= %{_glib2min}, libxml2-devel >= %{_libxml2min}

%description devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.


%package tools
Summary: Tools for GStreamer streaming media framework.
Group: Applications/Multimedia

%description tools
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the basic command-line tools used for GStreamer, like
gst-register and gst-launch.  It is split off to allow parallel-installability
in the future.


%prep
%setup -q
# x86_64 is x86 too! - I want one to play with!
perl -pi -e 's/xi\?86 \| k\?\)/xi?86 | k? | *86_64)/g' configure aclocal.m4

%build
%configure --disable-tests --disable-debug
make %{?_smp_mflags}

%install  
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
env DISPLAY= %{_bindir}/gst-register --gst-mask=0 >/dev/null 2>&1

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* README TODO REQUIREMENTS DOCBUILDING RELEASE 
%dir %{_libdir}/gstreamer-%{major}
%{_libdir}/gstreamer-%{major}/*.so*
%{_libdir}/libgstreamer-%{major}.so
%{_libdir}/libgstcontrol-%{major}.so
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%dir %{_includedir}/%{name}-%{major}
%{_includedir}/%{name}-%{major}/*
%dir %{_libdir}/gstreamer-%{major}
%{_libdir}/gstreamer-%{major}/*.a
%exclude %{_libdir}/gstreamer-%{major}/*.la
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/pkgconfig/gstreamer*.pc
%{_datadir}/aclocal/*.m4

%files tools
%defattr(-, root, root)
%{_bindir}/gst-complete
%{_bindir}/gst-compprep
%{_bindir}/gst-feedback
%{_bindir}/gst-inspect
%{_bindir}/gst-launch
%{_bindir}/gst-md5sum
%{_bindir}/gst-register
%{_bindir}/gst-typefind
%{_bindir}/gst-xmllaunch
%{_mandir}/man1/gst-complete.1*
%{_mandir}/man1/gst-compprep.1*
%{_mandir}/man1/gst-feedback.1*
%{_mandir}/man1/gst-inspect.1*
%{_mandir}/man1/gst-launch.1*
%{_mandir}/man1/gst-md5sum.1*
%{_mandir}/man1/gst-register.1*
%{_mandir}/man1/gst-typefind.1*
%{_mandir}/man1/gst-xmllaunch.1*

%changelog
* Wed Jul  9 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 0.6.1 then 0.6.2.
- Back to an unpatched version.
- Cosmetic spec file changes.

* Wed Feb 12 2003 Bill Nottingham <notting@redhat.com> 0.6.0-4
- fix group

* Tue Feb 11 2003 Bill Nottingham <notting@redhat.com> 0.6.0-3
- prereq, not require, gstreamer-tools

* Tue Feb 11 2003 Jonathan Blandford <jrb@redhat.com> 0.6.0-2
- unset the DISPLAY when running gst-register

* Mon Feb  3 2003 Jonathan Blandford <jrb@redhat.com> 0.6.0-1
- yes it is needed.  Readding

* Sat Feb 01 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- remove "tools" sub-rpm, this is not needed at all

* Thu Jan 30 2003 Jonathan Blandford <jrb@redhat.com> 0.5.2-7
- stopped using %configure so we need to pass in all the args

* Mon Jan 27 2003 Jonathan Blandford <jrb@redhat.com>
- remove -Werror explicitly as the configure macro isn't working.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 19 2002 Elliot Lee <sopwith@redhat.com> 0.5.0-10
- Add patch1 to fix C++ plugins on ia64

* Wed Dec 18 2002 Jonathan Blandford <jrb@redhat.com>
- %post -p was wrong

* Tue Dec 17 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-7
- explicitly add %{_libdir}/libgstreamer-{major}.so
- explicitly add %{_libdir}/libgstcontrol-{major}.so

* Mon Dec 16 2002 Jonathan Blandford <jrb@redhat.com>
- bump release

* Fri Dec 13 2002 Jonathan Blandford <jrb@redhat.com>
- move .so files out of -devel

* Tue Dec 10 2002 Jonathan Blandford <jrb@redhat.com>
- new version 0.5.0
- require docbook-style-xsl
- add gstreamer-tools package too
- New patch to use the right docbook prefix.

* Tue Dec 10 2002 Jonathan Blandford <jrb@redhat.com>
- downgrade to a release candidate.  Should work better on other arches
- build without Werror

* Mon Dec  9 2002 Jonathan Blandford <jrb@redhat.com>
- update to new version.  Remove ExcludeArch

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- excludearch some arches

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- import into CVS and build "officially"
- use smp_mflags
- temporarily disable docs build, doesn't seem to work

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.2

* Mon Sep 23 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.1

* Sun Sep 22 2002 Jeremy Katz <katzj@redhat.com>
- minor cleanups

* Sat Jun 22 2002 Thomas Vander Stichele <thomas@apestaart.org>
- moved header location

* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added popt
- removed .la

* Fri Jun 07 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added release of gstreamer to req of gstreamer-devel
- changed location of API docs to be in gtk-doc like other gtk-doc stuff
- reordered SPEC file

* Mon Apr 29 2002 Thomas Vander Stichele <thomas@apestaart.org>
- moved html docs to gtk-doc standard directory

* Tue Mar 5 2002 Thomas Vander Stichele <thomas@apestaart.org>
- move version defines of glib2 and libxml2 to configure.ac
- add BuildRequires for these two libs

* Sun Mar 3 2002 Thomas Vander Stichele <thomas@apestaart.org>
- put html docs in canonical place, avoiding %doc erasure
- added devhelp support, current install of it is hackish

* Sat Mar 2 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added documentation to build

* Mon Feb 11 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added libgstbasicscheduler
- renamed libgst to libgstreamer

* Fri Jan 04 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added configdir parameter as it seems the configdir gets weird otherwise

* Thu Jan 03 2002 Thomas Vander Stichele <thomas@apestaart.org>
- split off gstreamer-editor from core
- removed gstreamer-gnome-apps

* Sat Dec 29 2001 Rodney Dawes <dobey@free.fr>
- Cleaned up the spec file for the gstreamer core/plug-ins split
- Improve spec file

* Sat Dec 15 2001 Christian Schaller <Uraeus@linuxrising.org>
- Split of more plugins from the core and put them into their own modules
- Includes colorspace, xfree and wav
- Improved package Require lines
- Added mp3encode (lame based) to the SPEC

* Wed Dec 12 2001 Christian Schaller <Uraeus@linuxrising.org>
- Thomas merged mpeg plugins into one
* Sat Dec 08 2001 Christian Schaller <Uraeus@linuxrising.org>
- More minor cleanups including some fixed descriptions from Andrew Mitchell

* Fri Dec 07 2001 Christian Schaller <Uraeus@linuxrising.org>
- Added logging to the make statement

* Wed Dec 05 2001 Christian Schaller <Uraeus@linuxrising.org>
- Updated in preparation for 0.3.0 release

* Fri Jun 29 2001 Christian Schaller <Uraeus@linuxrising.org>
- Updated for 0.2.1 release
- Split out the GUI packages into their own RPM
- added new plugins (FLAC, festival, quicktime etc.)

* Sat Jun 09 2001 Christian Schaller <Uraeus@linuxrising.org>
- Visualisation plugins bundled out togheter
- Moved files sections up close to their respective descriptions

* Sat Jun 02 2001 Christian Schaller <Uraeus@linuxrising.org>
- Split the package into separate RPMS, 
  putting most plugins out by themselves.

* Fri Jun 01 2001 Christian Schaller <Uraeus@linuxrising.org>
- Updated with change suggestions from Dennis Bjorklund

* Tue Jan 09 2001 Erik Walthinsen <omega@cse.ogi.edu>
- updated to build -devel package as well

* Sun Jan 30 2000 Erik Walthinsen <omega@cse.ogi.edu>
- first draft of spec file

